Sets.Value (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Sets.Value

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Sets.Value

- All Implemented Interfaces:
    Term
  Enclosing class:
    Sets

      public static class Sets.Value
      extends Term.Terminal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.SortedSet<java.nio.ByteBuffer>` | `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value(java.util.SortedSet<java.nio.ByteBuffer> elements)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(SetType st, Sets.Value v)`
    `static Sets.Value` | `fromSerialized(java.nio.ByteBuffer value, SetType type, ProtocolVersion version)`
    `java.nio.ByteBuffer` | `get(ProtocolVersion protocolVersion)`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

      `addFunctionsTo, bind, bindAndGet, collectMarkerSpecification, containsBindMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elements

          public final java.util.SortedSet<java.nio.ByteBuffer> elements

  - ### Constructor Detail

    - #### Value

          public Value(java.util.SortedSet<java.nio.ByteBuffer> elements)

  - ### Method Detail

    - #### fromSerialized

          public static Sets.Value fromSerialized(java.nio.ByteBuffer value,
                                                  SetType type,
                                                  ProtocolVersion version)
                                           throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### get

          public java.nio.ByteBuffer get(ProtocolVersion protocolVersion)

      Specified by:
        `get` in class `Term.Terminal`
      Returns:
        the serialized value of this terminal.

    - #### equals

          public boolean equals(SetType st,
                                Sets.Value v)

Copyright © 2018 The Apache Software Foundation